> ## Documentation Index
> Fetch the complete documentation index at: https://redo-44af351d-docs-return-item-identifiers-endpoint.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Return Status

> Update return status.

Certain status transitions trigger additional side effects to maintain data consistency:

- Setting status to **complete** will also mark all return items as complete.
- Setting status to **open** from **complete** or **rejected** will reopen the return, resetting all processed/rejected items back to open, clearing pending processing info, resetting the expiration date, and marking the return as reopened. **Note:** Reopening a processed return does not reverse any refunds, exchanges, or other actions that were performed during processing.




## OpenAPI

````yaml /api-schema/openapi.yaml put /returns/{returnId}/status
openapi: 3.1.0
info:
  contact:
    email: engineering-admin@getredo.com
    name: Redo Engineering
  description: |
    ## Endpoints

    Endpoints are authenticated using the Bearer authorization scheme, using the
    REDO_API_SECRET.

    ```txt
    GET /v2.2/resource HTTP/1.1
    Authorization: Bearer 77bb7598b7a972475cc7c7e171ec33af
    Host: api.getredo.com
    ```

    ## Webhooks

    Webhooks are authenticated using the Bearer authorization scheme, using
    a secret supplied by the subscriber.

    ```txt
    POST /events HTTP/1.1
    Authorization: Bearer subscriberauth123
    Host: subscriber.example.com
    ```

    Webhook events are delivered in order for each individual subject (e.g.
    return).

    If the response is not a 2xx status code, the event will be retried multiple
    times before discarding it.
  title: Redo API
  version: 2.2.1
servers:
  - url: https://api.getredo.com/v2.2
security: []
tags:
  - name: Checkout Buttons
  - name: Coverage Info
  - name: Coverage Products
  - name: Custom Events
  - name: Customer Portal
  - name: Customer Subscriptions
  - name: Customers
  - name: Inbound Shipments
  - name: Inventory Items
  - name: Inventory Levels
  - name: Invoices
  - name: Merchant Admin
  - name: Orders
  - name: Products
  - name: Returns
  - name: Storefront
  - name: Webhooks
paths:
  /returns/{returnId}/status:
    summary: Return status
    description: Return status.
    put:
      tags:
        - Returns
      summary: Update Return Status
      description: >
        Update return status.


        Certain status transitions trigger additional side effects to maintain
        data consistency:


        - Setting status to **complete** will also mark all return items as
        complete.

        - Setting status to **open** from **complete** or **rejected** will
        reopen the return, resetting all processed/rejected items back to open,
        clearing pending processing info, resetting the expiration date, and
        marking the return as reopened. **Note:** Reopening a processed return
        does not reverse any refunds, exchanges, or other actions that were
        performed during processing.
      operationId: Return status update
      parameters:
        - $ref: '#/components/parameters/return-id.param'
      requestBody:
        content:
          application/json:
            schema:
              properties:
                status:
                  $ref: '#/components/schemas/return-status-update.schema'
              required:
                - status
              type: object
        required: true
      responses:
        '204':
          description: Updated
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/error.schema'
          description: Error
      security:
        - Bearer: []
components:
  parameters:
    return-id.param:
      description: Return ID
      in: path
      name: returnId
      required: true
      schema:
        example: 64e4d5e837572a4813b73e40
        type: string
  schemas:
    return-status-update.schema:
      description: |
        Return status.

        * complete: The return has been completed successfully.
        * open: Return has been approved and is awaiting shipment.
        * flagged: A problem with return processing requires merchant action.
        * rejected: The return has been rejected.
        * deleted: The return has been reset.
      enum:
        - complete
        - open
        - flagged
        - rejected
        - deleted
      example: open
      title: Return status
      type: string
    error.schema:
      description: >-
        Problem details. See [RFC 7807 Section
        3](https://datatracker.ietf.org/doc/html/rfc7807#section-3).
      properties:
        detail:
          description: Human-readable description of the problem.
          title: Detail
          type: string
        instance:
          description: A URI reference that identifies this problem.
          format: uri-reference
          type: string
        title:
          description: Human-readable summary of the problem type.
          title: Title
          type: string
        type:
          default: about:blank
          description: A URI reference that identifies the problem type.
          format: uri-reference
          type: string
      title: Problem details
      type: object
  securitySchemes:
    Bearer:
      scheme: bearer
      type: http

````